Skip to main content
`Ctrl`+`K`

# TSAdjointResetForward

Reset the tangent linear solver and destroy the tangent linear context

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointResetForward(TS ts)

Logically Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdjointSetForward()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

## Examples

src/ts/tutorials/ex20opt_ic.c
src/ts/tutorials/ex20opt_p.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages